curl --request GET \
--url https://api.withorb.com/v1/credit_blocks/{block_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"balance": 123,
"effective_date": "2023-11-07T05:31:56Z",
"expiry_date": "2023-11-07T05:31:56Z",
"per_unit_cost_basis": "<string>",
"status": "active",
"maximum_initial_balance": 123,
"filters": [
{
"field": "price_id",
"operator": "includes",
"values": [
"<string>"
]
}
]
}This endpoint returns a credit block identified by its block_id.
curl --request GET \
--url https://api.withorb.com/v1/credit_blocks/{block_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"balance": 123,
"effective_date": "2023-11-07T05:31:56Z",
"expiry_date": "2023-11-07T05:31:56Z",
"per_unit_cost_basis": "<string>",
"status": "active",
"maximum_initial_balance": 123,
"filters": [
{
"field": "price_id",
"operator": "includes",
"values": [
"<string>"
]
}
]
}API Keys can be issued in the Orb's web application.
OK
The Credit Block resource models prepaid credits within Orb.
active, pending_payment Show child attributes
The property of the price to filter on.
price_id, item_id, price_type, currency, pricing_unit_id Should prices that match the filter be included or excluded.
includes, excludes The IDs or values that match this filter.
Was this page helpful?